import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';
import '../panel.dart';

class ActionButtonExample extends StatefulWidget {
  const ActionButtonExample({Key? key}) : super(key: key);

  @override
  _ActionButtonExampleState createState() => _ActionButtonExampleState();
}

class _ActionButtonExampleState extends State<ActionButtonExample> {
  bool _lockStateOne = true;
  bool _lockStateTwo = true;
  bool _lockStateThree = true;

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Action Button Example',
      content: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(32.0),
          child: Column(
            children: [
              Panel(
                title: 'Small',
                content: SeniorActionButton.small(
                  icon: _lockStateOne
                      ? FontAwesomeIcons.lock
                      : FontAwesomeIcons.lockOpen,
                  onPressed: () {
                    setState(() {
                      this._lockStateOne = !this._lockStateOne;
                    });
                  },
                ),
              ),
              Panel(
                title: 'Medium',
                content: SeniorActionButton.medium(
                  icon: _lockStateTwo
                      ? FontAwesomeIcons.lock
                      : FontAwesomeIcons.lockOpen,
                  onPressed: () {
                    setState(() {
                      this._lockStateTwo = !this._lockStateTwo;
                    });
                  },
                ),
              ),
              Panel(
                title: 'Press',
                content: SeniorActionButton.press(
                  icon: this._lockStateThree
                      ? FontAwesomeIcons.lock
                      : FontAwesomeIcons.lockOpen,
                  onPressed: () {
                    setState(() {
                      this._lockStateThree = !this._lockStateThree;
                    });
                  },
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
