# SeniorBottomNavigationBar class

Use SeniorBottomNavigationBar para adicionar um widget do tipo bottom navigation bar com as definições do Senior Design System no seu layout.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorBottomNavigationBar({
    Key? key,
    required List< SeniorBottomNavigationBarItem > items,
    required Function(int) onTap,
    required int currentIndex,
}) ... __const__

## Propriedades

| Property     | Type                                  | Description                                                               | Required | Default |
| ------------ | ------------------------------------- | ------------------------------------------------------------------------- | -------- | ------- |
| key          | Key                                   | Controla como um widget substitui outro widget na árvore.                 | Não      |         |
| items        | List< SeniorBottomNavigationBarItem > | Opções do SeniorBottomNavigationBar.                                      | Sim      |         |
| currentIndex | int                                   | Índice da opção selecionada atualmente.                                   | Sim      |         |
| onTap        | Function(int)                         | Função chamada quando uma opção é tocada. Índice da opção como parâmetro. | Sim      |         |

## Código

```dart
bottomNavigationBar: SeniorBottomNavigationBar(
    currentIndex: this.selectedPage,
    items: [
        SeniorBottomNavigationBarItem(
            icon: FontAwesomeIcons.home,
            label: 'Início',
        ),
        SeniorBottomNavigationBarItem(
            icon: FontAwesomeIcons.shopify,
            label: 'Compras',
        ),
        SeniorBottomNavigationBarItem(
            icon: FontAwesomeIcons.user,
            label: 'Perfil',
        ),
    ],
    onTap: (index) {
        print('Selecionou o item $index');
        setState(() {
            this.selectedPage = index;
        });
    },
),
```