# SeniorCheckbox class

Use SeniorCheckbox para adicionar widgets do tipo checkbox com as definições do Senior Design System no seu layout.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorCheckbox({
    Key? key,
    required String title,
    required bool value,
    required Function(bool?)? onChanged,
    bool disabled = false,
}) ... __const__

## Propriedades

| Property | Type            | Description                                                                                                    | Required | Default |
| -------- | --------------- | -------------------------------------------------------------------------------------------------------------- | -------- | ------- |
| key      | Key             | Controla como um widget substitui outro widget na árvore.                                                      | Não      |         |
| title    | String          | Título do checkbox. Texto apresentado.                                                                         | Sim      |         |
| value    | bool            | Determina se o checkbox estará marcado ou desmarcado.                                                          | Sim      |         |
| onChange | Function(bool?) | Função callback que é executada quando o valor do checkbox é alterado. O parâmetro booleano tem o valor atual. | Não      |         |
| disabled | bool            | Determina se o checkbox estará desabilitado.                                                                   | Não      | false   |

## Código

```dart
SeniorCheckbox(
    title: 'Lembrar deste dispositivo',
    value: this.remember,
    onChanged: (value) { 
        setState(() {
            this.remember = value!; 
        });
    },
    disabled: false,
),
```